Package org.eclipse.draw2d.widgets

# Class MultiLineLabel

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.swt.widgets.Canvas
org.eclipse.draw2d.FigureCanvas
org.eclipse.draw2d.widgets.MultiLineLabel

All Implemented Interfaces:
  `Drawable`

public final class MultiLineLabel extends FigureCanvas
A widget for displaying a multi-line string. The label will have a vertical or horizontal scrollbar when needed. Unlike the platform Label, this label is focusable and accessible to screen-readers.

## Field Summary

### Fields inherited from class org.eclipse.draw2d.FigureCanvas

`ALWAYS, AUTOMATIC, NEVER`

### Fields inherited from class org.eclipse.swt.widgets.Control

`view`

## Constructor Summary

Constructors
Constructor
Description
`MultiLineLabel(Composite parent)`
Constructs a new MultiLineLabel with the given parent.

## Method Summary

Modifier and Type
Method
Description
`Image`
`getImage()`
`String`
`getText()`
Returns the text in this label.
`void`
`setEnabled(boolean enabled)`
`void`
`setFont(Font font)`
`void`
`setImage(Image image)`
`void`
`setText(String text)`
Sets the text for this label.

### Methods inherited from class org.eclipse.draw2d.FigureCanvas

`computeSize, getContents, getFont, getHorizontalScrollBarVisibility, getLightweightSystem, getVerticalScrollBarVisibility, getViewport, scrollSmoothTo, scrollTo, scrollToX, scrollToY, setBorder, setContents, setHorizontalScrollBarVisibility, setScrollBarVisibility, setVerticalScrollBarVisibility, setViewport`

### Methods inherited from class org.eclipse.swt.widgets.Canvas

`drawBackground, getCaret, getIME, scroll, setCaret, setIME`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, redraw, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeListener, removeTypedListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### MultiLineLabel

public MultiLineLabel(Composite parent)
Constructs a new MultiLineLabel with the given parent.

Parameters:
  `parent` - the parent

## Method Details

### setEnabled

public void setEnabled(boolean enabled)

Overrides:
  `setEnabled` in class `Control`
See Also:
  - `Control.setEnabled(boolean)`

### getImage

public Image getImage()

Returns:
  the Image for this label, or `null` if there is none
See Also:
  - `setImage(Image)`

### getText

public String getText()
Returns the text in this label.

Returns:
  the text

### setFont

public void setFont(Font font)

Overrides:
  `setFont` in class `FigureCanvas`
See Also:
  - `Canvas.setFont(org.eclipse.swt.graphics.Font)`

### setImage

public void setImage(Image image)

Parameters:
  `image` - The `Image` to be used for this label. It can be `null`.

### setText

public void setText(String text)
Sets the text for this label.

Parameters:
  `text` - the new text